- Getting started
- Authentication
- Scopes and permissions
- Platform Management APIs
Test Cloud API guide
As an organization admin, use this endpoint to retrieve the consumption summary for all tenants in your organization.
API endpoint
POST {accessURL}/lease_/api/usage/{organizationId}/tenants/consumption-summary
Replace {accessURL} in all endpoint paths with the base URL for your cloud platform:
| Cloud platform | Access URL |
|---|---|
| Test Cloud | https://cloud.uipath.com/ |
| Test Cloud Public Sector | https://govcloud.uipath.us/ |
| Test Cloud Dedicated | https://{customURL}.dedicated.uipath.com/ |
Request headers
--header 'Authorization: Bearer {access_token}'
--header 'Content-Type: application/json'
--header 'Authorization: Bearer {access_token}'
--header 'Content-Type: application/json'
To obtain the {access_token}, make sure to authenticate through the ROPC method described here.
Path parameters
| Path param | Data type | Description |
|---|---|---|
organizationId (required) | String (GUID) | The ID of the organization for which to retrieve the consumption summary. |
Request body
The request body specifies the date range and the consumable code for which to retrieve the summary. For a detailed list of consumable codes, refer to Consumables.
{
"startDate": 0,
"endDate": 0,
"consumableCode": "string"
}
{
"startDate": 0,
"endDate": 0,
"consumableCode": "string"
}
startDate and endDate are Unix timestamps in milliseconds.
Responses
200 OK
Returns the consumption summary across all tenants in the organization.
Example request
The call should resemble the following example (cURL):
curl --location --request POST 'https://cloud.uipath.com/lease_/api/usage/11111111-1111-1111-1111-111111111111/tenants/consumption-summary' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json' \
--data-raw '{
"startDate": 1704067200000,
"endDate": 1706745600000,
"consumableCode": "consumption_unit_code"
}'
curl --location --request POST 'https://cloud.uipath.com/lease_/api/usage/11111111-1111-1111-1111-111111111111/tenants/consumption-summary' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json' \
--data-raw '{
"startDate": 1704067200000,
"endDate": 1706745600000,
"consumableCode": "consumption_unit_code"
}'
Here's the response body for a successful consumption summary retrieval:
{
"consumedFromOrgWithoutTenant": 0,
"tenantConsumptionItems": [
{
"tenantId": "string",
"consumedFromTenantPool": 0,
"consumedFromOrgPool": 0
}
]
}
{
"consumedFromOrgWithoutTenant": 0,
"tenantConsumptionItems": [
{
"tenantId": "string",
"consumedFromTenantPool": 0,
"consumedFromOrgPool": 0
}
]
}